
TYPO3.Neos - Bug # 49929

Status: Resolved Priority: Must have
Author: Aske Ertmann Category:
Created: 2013-07-11 Assigned To: Aske Ertmann
Updated: 2013-07-16 Due date:
Subject: Last visited uri is set with {node.name}.html
Description

When installing a new site and visiting the frontend, the session storage variable last visited uri is set to http://domain/{node.html}
because the node variable is not available in the template. This makes it very difficult to login to the backend.

Related issues:
related to TYPO3.Neos - Bug # 49930: Redirection check for last visited uri i... Resolved 2013-07-11

Associated revisions
Revision fc91bdfb - 2013-07-16 09:35 - Aske Ertmann

[BUGFIX] Prevent setting wrong last visited URI

Change the last visited URI generation to use the node.uri view helper
which defaults to the documentNode inside the TypoScript context that
should always be available.

Change-Id: I225af595cdd22979943cb706ed0d3b2c2357e6d8
Fixes: #49929
Reviewed-on: https://review.typo3.org/22319
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Tested-by: Mr. Hudson
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-07-11 20:55 - Aske Ertmann
- Subject changed from Last visited uri is set with {node.html} to Last visited uri is set with {node.name}.html

#2 - 2013-07-11 22:31 - Aske Ertmann
- Project changed from Base Distribution to TYPO3.Neos

#3 - 2013-07-15 14:01 - Aske Ertmann
- Tracker changed from Task to Bug

#4 - 2013-07-15 14:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22319

2015-08-04 1/2

http://domain/{node.html
https://review.typo3.org/22319
https://review.typo3.org/22319


#5 - 2013-07-15 14:28 - Aske Ertmann
- Assigned To set to Aske Ertmann

#6 - 2013-07-15 21:35 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22319

#7 - 2013-07-15 21:43 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22319

#8 - 2013-07-15 21:47 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22319

#9 - 2013-07-16 09:37 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fc91bdfb47d0d3dfd99e4917ff0f536a3e9ea385.

2015-08-04 2/2

https://review.typo3.org/22319
https://review.typo3.org/22319
https://review.typo3.org/22319

